# Action List

Action List; Action Id, Action Display Id, Updated At, Action Name
Default limit: 100, Default offset: 0
Max limit: 100

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

The Action List endpoint provides a list of actions and their metadata.

Each action object includes the following fields:

  • id — Internal unique identifier of the action.
  • display_id — Publicly displayed ID for external reference.
  • name — Action name.
  • updated_at — Timestamp of the last update for the action.

You can filter the results by the updated_at field and use pagination parameters to retrieve data in batches.

Example

Fetch 3 actions starting from the 120th action with updated_at value greater than 1707545930

curl --location 'https://api.picussecurity.com/v2/threat-library/actions?limit=3&offset=120&updated_at_gte=1707545930' \
--header 'accept: application/json'
{
    "actions": [
        {
            "id": 2965,
            "display_id": 719175,
            "name": "action 120",
            "updated_at": 1707546019
        },
        {
            "id": 2966,
            "display_id": 847612,
            "name": "action 121",
            "updated_at": 1709273198
        },
        {
            "id": 2968,
            "display_id": 417108,
            "name": "action 122",
            "updated_at": 1707546019
        }
    ],
    "pages": {
        "total_count": 10291,
        "limit": 3,
        "offset": 120
    }
}

Query Params
int64
int64
uint64

List Actions With Updated At Greater Than or Equal to UpdatedAtGte.

uint64

List Actions With Updated At Less Than or Equal to UpdatedAtLte.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json